package cn.com.qmth.examcloud.question.core.question;

import java.io.Serializable;
import java.util.List;

/**
 * 题单元接口<最小作答单元>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface QuestionUnit extends Serializable {

	/**
	 * 获取题干
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String getBody();

	/**
	 * 设置题干
	 *
	 * @author WANGWEI
	 * @param body
	 */
	public void setBody(String body);

	/**
	 * 获取选项集
	 *
	 * @author WANGWEI
	 * @return
	 */
	public List<QuestionOption> getQuestionOptionList();

	/**
	 * 设置选项集
	 *
	 * @author WANGWEI
	 * @param questionOptionList
	 */
	public void setQuestionOptionList(List<QuestionOption> questionOptionList);

	/**
	 * 获取正确答案
	 *
	 * @author WANGWEI
	 * @return
	 */
	public String[] getRightAnswer();

	/**
	 * 设置正确答案
	 *
	 * @author WANGWEI
	 * @param rightAnswer
	 */
	public void setRightAnswer(String[] rightAnswer);

}